Skip to content
Back to top
View this page

# ReactionCount

class telegram.ReactionCount(type, total_count, *, api_kwargs=None)

  Bases: `telegram.TelegramObject`

  This class represents a reaction added to a message along with the number of times it was added.

  Objects of this class are comparable in terms of equality. Two objects of this class are considered equal, if the `type` and `total_count` is equal.

  Available In

  `telegram.MessageReactionCountUpdated.reactions`

  Added in version 20.8.

  Parameters:

    - type (`telegram.ReactionType`) – Type of the reaction.

    - total_count (`int`) – Number of times the reaction was added.

  type

    Type of the reaction.

    Type:

      `telegram.ReactionType`

  total_count

    Number of times the reaction was added.

    Type:

      `int`

  classmethod de_json(data, bot=None)

    See `telegram.TelegramObject.de_json()`.